QGIS Application - Bug report #5812
DB manager does not show the "postgis"” section if Postgis is 2.0
2012-06-18 01:34 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15295
Description

When clicking on a connection in DB manager it returns a list of useful informations, but if the DB is postgis 2 it seems to miss the
"Postgis" section, as it happens when postgis is of a prior verison, like

PostGIS

Library:

1.5.3

Scripts:

1.5r5976

GEOS:

3.2.2-CAPI-1.6.2

Proj:

Rel. 4.7.1, 23 September 2009
Use stats:

True

Associated revisions

Revision 3542b089 - 2012-11-29 01:16 AM - Giuseppe Sucameli

dbmanager: fix #5812,

move PG informations to postgis/info_model.py

History

#1 - 2012-06-18 02:03 AM - Salvatore Larosa

The reason is that postgis_uses_stats()[1] function is deprecated!
DBManager still uses it!

[1] - http://trac.osgeo.org/postgis/ticket/1632

#2 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#3 - 2012-11-28 04:17 PM - Giuseppe Sucameli
- Status changed from Open to Closed
http://trac.osgeo.org/postgis/ticket/1632

Fixed in changeset commit:"3542b0897dae56796d2d2e231e65166cd50be283".
